/**
  ******************************************************************************
  * @file    rmd160.h
  * @author  Milandr Application Team
  * @version V1.0.0
  * @date    26/10/2020
  * @brief   RIPEMD-160 header
  ******************************************************************************
  * <br><br>
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, MILANDR SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2020 Milandr</center></h2>
  */

#ifndef __RMP160_H__
#define __RMP160_H__

#include "types.h"

#define RMD160CTX_INTRNL_SZ (64 + 4 + 4 + 5 * 4)

typedef struct _RMD160CTX
{
   uint8_t Intrnl[RMD160CTX_INTRNL_SZ];
} RMD160CTX;

void rmd160Init(RMD160CTX* ctx);
void rmd160Update(RMD160CTX* ctx, const uint8_t* data, Sz8 sz);
uint8_t* rmd160Final(RMD160CTX* ctx, const uint8_t* data, Sz8 sz);

#endif
